Name: gtk-im-extra
Version: 20050417
Release: alt1
Summary: third-party input methods for GTK+
Summary(ru_RU.UTF-8): дополнительные методы ввода для GTK+
License: LGPL
Group: System/Libraries
Url: http://gtk-im-extra.sourceforge.net/
Source: %name-%version.tar.bz2
Source1: %name.ru.po
Patch0: %name-20050417-configure-alt.patch

%define gtkversion 2.4.0
%define immodulesdir %_libdir/gtk-2.0/%gtkversion/immodules

# Automatically added by buildreq on Sun Apr 17 2005
BuildRequires: fontconfig freetype2 glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel

%description
Additional input methods for GTK+:
* Yiddish
* Tamil99
* Latin Plus
* Devanagari (phonetic)
* Old Slavonic/Church Slavonic
* Esperanto (x-system transliterated)

%description -l en_US.UTF-8
Additional input methods for GTK+:
* Yiddish ר
* Yiddish נ
* Tamil99
* Latin Plus
* Devanagari (phonetic)
* Old Slavonic/Church Slavonic
* Esperanto (x-system transliterated)

%description -l ru_RU.UTF-8
Дополнительные методы ввода для GTK+:
* Идиш ר
* Идиш נ
* Tamil99
* Latin Plus
* Деванагари (фонетический)
* Старославянский/церковнославянский
* Эсперанто (траслитерация X-sisteme)

%prep
%setup -n %name
%patch0 -p0
%__cp %SOURCE1 po/ru.po

%build
./autogen.sh
%configure --enable-static=no
%make

%install
# Overwrite dummy file. The real gtk_query_immodules runs in %post.
export GTK_IM_MODULE_FILE=./gtk.immodules.dummy
%makeinstall

%find_lang %name

%__rm -f %buildroot/%immodulesdir/*.la
# remove conflicting files
%__rm -f %buildroot/%immodulesdir/im-{am,ti}-*

%post
%_bindir/gtk-query-immodules-2.0 > %_sysconfdir/gtk-2.0/gtk.immodules

%postun
[ "$1" = 0 ] && \
%_bindir/gtk-query-immodules-2.0 > %_sysconfdir/gtk-2.0/gtk.immodules

%files -f %name.lang
/%immodulesdir/im-*.so

%changelog
* Sun Apr 17 2005 Alex V. Myltsev <avm@altlinux.ru> 20050417-alt1
- Initial build for ALTLinux.

